// test.cpp - klasa koja testira rad klase Clock

#include "clock.h"
#include <iostream>
using namespace std;

// main() funkcija u C++ obicno ima 'int' za povratnu vrednost, za razliku od C-a gde je povratna vrednost bila 'void'
int main() {

	// Kreiranje objekata klase Clock (priliom kreiranja objekta, obavezno se poziva odgovarajuci konstruktor)
	Clock* pClk1 = new Clock(12, 30, 0);	// poziva se konstruktor sa parametrima
	Clock* pClk2 = new Clock();				// poziva se konstruktor bez parametara

	// Poziv metode koja ispisuje trenutno vreme na satu na standardni izlaz
	pClk1->printTime();	// 12:30:00
	pClk2->printTime();	// 00:00:00

	// Poziv metode koja postavlja vreme na satu na zeljenu vrednost
	pClk1->setTime(14, 22, 0);			// 14:22:00
	pClk2->setTime(54, -7, 59);			// 00:00:59

	// Poziv metode koja vrsi otkucaj jedne sekunde na satu
	pClk1->tick();						// 14:22:01
	pClk2->tick();						// 00:01:00

	// Poziv metode koja ispisuje trenutno vreme na satu na standardni izlaz
	pClk1->printTime();
	pClk2->printTime();	

	// Obavezno moramo da izbrisemo objekte koje smo kreirali uz pomoc operatora 'new'
	delete pClk1;
	delete pClk2;

	// Vrednost koju vracamo po izlasku iz funkcije main()
	return 0;
}
